/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * MQTT Daten empfangen und die Messwerte ueber CAN auf Display ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include "can_transm.h"
#include "mqtt.h"
#include "can_recv_ids_stati.h"

// Funktionen ----------------------------------------------------------------
void setup()
{
  CAN_Startup();
  MQTT_Startup();
}

void loop()
{
  MQTT_Connect();                   // Server abfragen
  if (true == MQTT_GetReceived())   // Wenn Daten angekommen sind
  {
    CAN_Transmit_Status((char)STAT_TRANSCEIVER_MQTT_RECEIVED);
    MQTT_ResetReceived();           // Klarmachen fuer naechsten Empfang
    CAN_GetData();                  // Daten in den CAN Buffer uebertragen
    CAN_Transmit();                 //       und absenden
  }
}

